/*
 * Copyright (C) 2022 Jonathan Certes
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */

`timescale 1ns / 1ps

module tb_bram();

  reg  clk;
  reg  btn0;
  reg  [3:0] sw;
  wire [3:0] led;

  always begin
    clk = 1'b0;
    #10;
    clk = 1'b1;
    #10;
  end

  synthesis i_dut (
    .clk(  clk  ),
    .btn0( btn0 ),
    .sw(   sw   ),
    .led(  led  )
  );

  initial begin
    $dumpfile( "output.vcd" );
    $dumpvars;

    sw   <= 4'b0000;
    btn0 <= 1'b1;

    #45;
    btn0 <= 1'b0;

    #40;
    sw   <= 4'b1101;
    #40;
    btn0 <= 1'b1;
    #40;
    btn0 <= 1'b0;

    #100;
    $finish;
  end

endmodule

